SDL_GetAssertionReport(3)

NAME
SDL_GetAssertionReport - Get a list of all assertion failures.

HEADER FILE
Defined in SDL3/SDL_assert.h

SYNOPSIS
#include "SDL3/SDL.h"

const SDL_AssertData * SDL_GetAssertionReport(void);

DESCRIPTION
This function gets all assertions triggered since the last call to SDL_ResetAssertionReport (), or the start of the program. The proper way to examine this data looks something like this: c const SDL_AssertData *item = SDL_GetAssertionReport(); while (item) {
   printf("'%s', %s (%s:%d), triggered %u times, always ignore: %s.\n",
          item->condition, item->function, item->filename,
          item->linenum, item->trigger_count,
          item->always_ignore ? "yes" : "no");
   item = item->next; }

RETURN VALUE
Returns a list of all failed assertions or NULL if the list is empty. This memory should not be modified or freed by the application.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_ResetAssertionReport(3)